> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/how-to-guides/data-retrieval-and-modification/how-to-view-camera-ready-revisions.md).

# How to view Camera-Ready Revisions

If you enabled a Submission Revision Stage to allow authors to revise their submissions or submit Camera-Ready Revisions, the authors will have used these invitations to directly revise their existing submissions. This means that in order to see the final versions you can simply go to the forum of each submission. You can also click 'show revisions'  to see the revision history for each paper.&#x20;

If you need a way to see which authors have submitted camera-ready revisions, you can use the following code:&#x20;

1. You will first need to [install and setup the python client](https://openreview-py.readthedocs.io/en/latest/how_to_setup.html).
2. Next, retrieve all of the revision invitations for your venue. You will want to replace the super invitation with the submission revision invitation for your venue, which is your conference id + /-/ + the name you chose for your Submission Revision stage.&#x20;

Note: if the deadline has passed for revisions, add the parameter `expired=True` to the call to get expired invitations.

```
revision_invitations = list(openreview.tools.iterget_invitations(client, super = 'Your/Conference/ID/-/Camera_Ready_Revision'))
```

2\. Create a dictionary mapping the submission number to each submission for your venue. Replace the submission invitation with that of your venue:&#x20;

```
submissions_by_number = {p.number: p for p in client.get_all_notes(invitation = 'Your/Conference/ID/-/Submission')}
```

Iterate through all of the camera-ready revision invitations and for each one, try to get the revisions made under that invitation. If there aren't any, don't add them to the dictionary revisions by forum. Finally, print the number of revision invitations vs the number of actually completed revisions so that you know how many papers are missing revisions.

```
revisions_by_forum = {}
for invitation in revision_invitations: 
    number = int((invitation.id.split('/-/')[0]).split('Paper')[1])
    submission = submissions_by_number[number]
    references = client.get_references(referent = submission.id, invitation = invitation.id)
    if references:
        revisions_by_forum[submission.forum] = references
    else:
        print(f'no revisions for {number}')
print(f'Number of revision invitations: {len(revision_invitations)}')
print(f'Number of revisions submitted: {len(revisions_by_forum.keys())}')
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/how-to-guides/data-retrieval-and-modification/how-to-view-camera-ready-revisions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
